<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SockServ Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classSockServ.html">SockServ</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classSockServ.html#a74fdc3b3fcb84a1e64505b1c792032f9">connectedCount</a>()</td><td class="entry"><a class="el" href="classSockServ.html">SockServ</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSockServ.html#a28ad7ac11058be8dbb87439c430329c2">disconnect</a>(Socket s)</td><td class="entry"><a class="el" href="classSockServ.html">SockServ</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSockServ.html#aa62641e571ccec4dd6ec8c141204fe5e">getSSL</a>()</td><td class="entry"><a class="el" href="classSockServ.html">SockServ</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSockServ.html#a9e4e21eb4e94912fd403a7e3dcbdb54c">receiveData</a>(Socket s, void *pData, size_t maxData)</td><td class="entry"><a class="el" href="classSockServ.html">SockServ</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSockServ.html#a3e4e4cc30becc9440573c3285e8004d2">sendData</a>(uint8_t *data, size_t length)</td><td class="entry"><a class="el" href="classSockServ.html">SockServ</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSockServ.html#ac50c88830b1b4a3e75b8fbd82799b08d">sendData</a>(std::string str)</td><td class="entry"><a class="el" href="classSockServ.html">SockServ</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSockServ.html#a12c8f4baa1bad7d405a39c4ad3310e37">setPort</a>(uint16_t port)</td><td class="entry"><a class="el" href="classSockServ.html">SockServ</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>setSSL</b>(bool use=true) (defined in <a class="el" href="classSockServ.html">SockServ</a>)</td><td class="entry"><a class="el" href="classSockServ.html">SockServ</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSockServ.html#a8c3fa6bf7bb34ebf9b8db86048ded61c">SockServ</a>(uint16_t port)</td><td class="entry"><a class="el" href="classSockServ.html">SockServ</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSockServ.html#a9fb32006f0a3a89da0145971a17ccab4">SockServ</a>()</td><td class="entry"><a class="el" href="classSockServ.html">SockServ</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSockServ.html#abbfb5d8eba2ef0a47fa0aa981a43f6dc">start</a>()</td><td class="entry"><a class="el" href="classSockServ.html">SockServ</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSockServ.html#a4d6d90089cd108ba10e481e4aca274f4">stop</a>()</td><td class="entry"><a class="el" href="classSockServ.html">SockServ</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>waitForData</b>(std::set&lt; Socket &gt; &amp;socketSet) (defined in <a class="el" href="classSockServ.html">SockServ</a>)</td><td class="entry"><a class="el" href="classSockServ.html">SockServ</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSockServ.html#ad0dfa6f354891c6f8b435d831fea14f5">waitForNewClient</a>()</td><td class="entry"><a class="el" href="classSockServ.html">SockServ</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSockServ.html#a18b87a413bac01b49e89f7d616a14da8">~SockServ</a>()</td><td class="entry"><a class="el" href="classSockServ.html">SockServ</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
